> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autonoma.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Specific Test Run API

> Retrieve details of a specific test run by its ID.



## OpenAPI

````yaml get /run/{run_id}
openapi: 3.0.3
info:
  title: Autonoma API
  description: |
    API for managing test runs and test definitions in the Autonoma platform.

    **Important Note:** Media URLs (images, videos) expire after 1 hour.
  version: 1.0.0
  contact:
    name: Autonoma Support
servers:
  - url: https://autonoma.app/api
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /run/{run_id}:
    get:
      summary: Get a specific test run
      description: Retrieve details of a specific test run by ID
      parameters:
        - name: run_id
          in: path
          required: true
          description: The ID of the test run
          schema:
            type: string
            example: g41k688vndxzt7kh4kq5m12s
        - name: media
          in: query
          description: Include media URLs in response (expires in 1 hour)
          required: false
          schema:
            type: boolean
            example: true
        - name: steps
          in: query
          description: Include step details in response
          required: false
          schema:
            type: boolean
            example: true
      responses:
        '200':
          description: Test run details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestRun'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidCredentialsError'
        '404':
          description: Test run not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
components:
  schemas:
    TestRun:
      type: object
      properties:
        id:
          type: string
          example: gch7uesq5h6m9xe2fdq5ddgd
        name:
          type: string
          example: >-
            Add 'member' to network, verify it can access the listings and
            remove it from the network
        test_id:
          type: string
          example: cm8d9gt6v000c9fe5glmyi33u
        status:
          type: string
          enum:
            - pending
            - running
            - passed
            - failed
          example: pending
        created_at:
          type: string
          format: date-time
          example: '2025-06-12T00:00:11.286Z'
        ended_at:
          type: string
          format: date-time
          example: '2025-06-12T00:00:11.286Z'
        folder_run_id:
          type: string
          nullable: true
          example: y98cwdq4c3p3v3i68n7nay1p
        job_run_id:
          type: string
          nullable: true
          example: null
        job_id:
          type: string
          nullable: true
          example: null
        folder:
          $ref: '#/components/schemas/TestFolder'
          nullable: true
        video_url:
          type: string
          nullable: true
          description: Video URL (expires in 1 hour)
          example: null
        steps:
          type: array
          items:
            $ref: '#/components/schemas/Step'
        metadata:
          $ref: '#/components/schemas/Metadata'
    InvalidCredentialsError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: Invalid authentication credentials
    NotFoundError:
      type: object
      properties:
        error:
          type: string
          example: Not found
        message:
          type: string
          example: Resource with id `cm8d9gt6v000c9fe5glmyi33u` not found
    TestFolder:
      type: object
      properties:
        id:
          type: string
          example: cm7t223mk00154mzy2jwk2pqy
        name:
          type: string
          example: private-listing-hub
    Step:
      type: object
      properties:
        id:
          type: string
          example: cmbs5deso0001ps016az80n89
        instruction:
          type: string
          example: insert {{variable:QA_ADMIN_USER}} into log in input
        interaction:
          type: string
          example: input-text
        output:
          type: string
          example: input-text on element with text axel@autonoma.app
        status:
          type: string
          enum:
            - passed
            - failed
            - pending
          example: passed
        url:
          type: string
          example: https://login.autonoma.app/login
        element:
          $ref: '#/components/schemas/Element'
        image:
          type: string
          description: Screenshot URL (expires in 1 hour)
          example: >-
            https://storage.googleapis.com/autonoma-media/screenshots/d8e41de595af.jpeg
    Metadata:
      type: object
      properties:
        source:
          type: string
          example: scheduled
        version:
          type: string
          example: STG
        architecture:
          type: string
          example: web
        application_version_id:
          type: string
          example: cm7dbowr80042waka7thyjhkq
        email:
          type: string
          example: axel@autonoma.app
        username:
          type: string
          example: Axel Escalada
    Element:
      type: object
      properties:
        html:
          type: string
          example: >-
            <input class="input c2053dbb5 c10f8401f" inputmode="email"
            name="username" id="username" type="text" value="" required=""
            autocomplete="email" autocapitalize="none" spellcheck="false"
            autofocus=""
        selector:
          type: string
          example: input#username
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: autonoma-client-id
      description: Client ID for authentication
    ApiSecretAuth:
      type: apiKey
      in: header
      name: autonoma-client-secret
      description: Client secret for authentication

````